version: '3.5'
services:
  zookeeper:
    container_name: zookeeper
    image: wurstmeister/zookeeper
    ports:
      - "2181:2181"
    restart: unless-stopped
    environment:
      ZOOKEEPER_CLIENT_PORT: 2181
    networks:
      data-pipe:
        ipv4_address: 172.20.0.2

  kafka:
    container_name: kafka
    image: wurstmeister/kafka:1.0.0
    ports:
      - "9092:9092"
    environment:
      KAFKA_ADVERTISED_HOST_NAME: 172.20.0.3
      KAFKA_CREATE_TOPICS: "test:1:1"
      KAFKA_ZOOKEEPER_CONNECT: zookeeper:2181
      KAFKA_ADVERTISED_LISTENERS: PLAINTEXT://kafka:9092
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock
    networks:
      data-pipe:
        ipv4_address: 172.20.0.3

  flume-hbase:
    container_name: flume-hbase
    image: flume-hbase
    build:
      context: ./flume-docker
      dockerfile: Dockerfile.ubuntu
    ports:
      - "4545:4545"
    networks:
      data-pipe:
        ipv4_address: 172.20.0.4

networks:
  data-pipe:
    name: data-pipe
    driver: bridge
    ipam:
      driver: default
      config:
        - subnet: 172.20.0.0/16
          #gateway: 172.20.0.1
